# `wand.version` — Version data

You can find the current version in the command line interface:

    $ python -m wand.version
    0.6.13
    $ python -m wand.version --verbose
    Wand 0.6.13
    ImageMagick 6.7.7-6 2012-06-03 Q16 http://www.imagemagick.org
    $ python -m wand.version --config | grep CC | cut -d : -f 2
    gcc -std=gnu99 -std=gnu99
    $ python -m wand.version --fonts | grep Helvetica
    Helvetica
    Helvetica-Bold
    Helvetica-Light
    Helvetica-Narrow
    Helvetica-Oblique
    $ python -m wand.version --formats | grep CMYK
    CMYK
    CMYKA

Added in version 0.2.0: The command line interface.

Added in version 0.2.2: The `--verbose`/`-v` option which also prints ImageMagick library version for CLI.

Added in version 0.4.1: The `--fonts`, `--formats`, & `--config` option allows printing additional information about ImageMagick library.

wand.version.MAGICK_HDRI = False

  (`bool`) True if ImageMagick is compiled for High Dynamic Range Image.

wand.version.MAGICK_RELEASE_DATE = datetime.date(2026, 1, 21)

  (`datetime.date`) The release date of the linked ImageMagick library. Equivalent to the result of `GetMagickReleaseDate()` function.

  Added in version 0.2.1.

wand.version.MAGICK_RELEASE_DATE_STRING = '2026-01-21'

  (`basestring`) The date string e.g. `'2012-06-03'` of `MAGICK_RELEASE_DATE_STRING`. This value is the exactly same string to the result of `GetMagickReleaseDate()` function.

  Added in version 0.2.1.

wand.version.MAGICK_VERSION = 'ImageMagick 7.1.2-13 Q16 x86_64 23522 https://imagemagick.org'

  (`basestring`) The version string of the linked ImageMagick library. The exactly same string to the result of `GetMagickVersion()` function.

  Example:

      'ImageMagick 6.7.7-6 2012-06-03 Q16 http://www.imagemagick.org'

  Added in version 0.2.1.

wand.version.MAGICK_VERSION_FEATURES = 'Cipher DPC Modules OpenMP(4.5) '

  (`basestring`) A string of all features enabled. This value is identical to what is returned by `GetMagickFeatures()`

  Added in version 0.5.0.

wand.version.MAGICK_VERSION_INFO = (7, 1, 2, 13)

  (`tuple`) The version tuple e.g. `(6, 7, 7, 6)` of `MAGICK_VERSION`.

  Added in version 0.2.1.

wand.version.MAGICK_VERSION_NUMBER = 1810

  (`numbers.Integral`) The version number of the linked ImageMagick library.

  Added in version 0.2.1.

wand.version.QUANTUM_DEPTH = 16

  (`numbers.Integral`) The quantum depth configuration of the linked ImageMagick library. One of 8, 16, 32, or 64.

  Added in version 0.3.0.

wand.version.QUANTUM_RANGE = 65535

  (`numbers.Integral`) The quantum range configuration of the linked ImageMagick library.

  Added in version 0.5.0.

wand.version.QUANTUM_SCALE = 1.5259021896696422e-05

  (`numbers.Real`) The quantum scale of the linked ImageMagick library. This is calculated as 1.0 / QUANTUM_RANGE.

  Added in version 0.6.8.

wand.version.VERSION = '0.6.13'

  (`basestring`) The version string e.g. `'0.1.2'`.

  Changed in version 0.1.9: Becomes string. (It was `tuple` before.)

wand.version.VERSION_INFO = (0, 6, 13)

  (`tuple`) The version tuple e.g. `(0, 1, 2)`.

  Changed in version 0.1.9: Becomes `tuple`. (It was string before.)

wand.version.configure_options(pattern='*')

  Queries ImageMagick library for configurations options given at compile-time.

  Example: Find where the ImageMagick documents are installed:

      >>> from wand.version import configure_options
      >>> configure_options('DOC*')
      {'DOCUMENTATION_PATH': '/usr/local/share/doc/ImageMagick-6'}

  Parameters:

    pattern (`basestring`) – A term to filter queries against. Supports wildcard ‘*’ characters. Default patterns ‘*’ for all options.

  Returns:

    Directory of configuration options matching given pattern

  Return type:

    `collections.defaultdict`

wand.version.fonts(pattern='*')

  Queries ImageMagick library for available fonts.

  Available fonts can be configured by defining types.xml, type-ghostscript.xml, or type-windows.xml. Use `wand.version.configure_options()` to locate system search path, and resources article for defining xml file.

  Example: List all bold Helvetica fonts:

      >>> from wand.version import fonts
      >>> fonts('*Helvetica*Bold*')
      ['Helvetica-Bold', 'Helvetica-Bold-Oblique', 'Helvetica-BoldOblique',
       'Helvetica-Narrow-Bold', 'Helvetica-Narrow-BoldOblique']

  Parameters:

    pattern (`basestring`) – A term to filter queries against. Supports wildcard ‘*’ characters. Default patterns ‘*’ for all options.

  Returns:

    Sequence of matching fonts

  Return type:

    `collections.Sequence`

wand.version.formats(pattern='*')

  Queries ImageMagick library for supported formats.

  Example: List supported PNG formats:

      >>> from wand.version import formats
      >>> formats('PNG*')
      ['PNG', 'PNG00', 'PNG8', 'PNG24', 'PNG32', 'PNG48', 'PNG64']

  Parameters:

    pattern (`basestring`) – A term to filter formats against. Supports wildcards ‘*’ characters. Default pattern ‘*’ for all formats.

  Returns:

    Sequence of matching formats

  Return type:

    `collections.Sequence`